Subject: Re: [AVT] I-D Action:draft-ietf-avt-rfc4695-bis-08.txt

From: Colin Perkins <[email-masked]>
Date: Tue, 3 Aug 2010 22:57:01 +0100

On 26 Jul 2010, at 21:15, [email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts  
> directories.
> This draft is a work item of the Audio/Video Transport Working Group  
> of the IETF.
>
>
> 	Title           : RTP Payload Format for MIDI
> 	Author(s)       : J. Lazzaro, J.  Wawrzynek
> 	Filename        : draft-ietf-avt-rfc4695-bis-08.txt
> 	Pages           : 182
> 	Date            : 2010-07-26
>
> This memo describes a Real-time Transport Protocol (RTP) payload
> format for the MIDI (Musical Instrument Digital Interface) command
> language.  The format encodes all commands that may legally appear on
> a MIDI 1.0 DIN cable.  The format is suitable for interactive
> applications (such as network musical performance) and content-
> delivery applications (such as file streaming).  The format may be
> used over unicast and multicast UDP and TCP, and it defines tools for
> graceful recovery from packet loss.  Stream behavior, including the
> MIDI rendering method, may be customized during session setup.  The
> format also serves as a mode for the mpeg4-generic format, to support
> the MPEG 4 Audio Object Types for General MIDI, Downloadable Sounds
> Level 2, and Structured Audio.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-avt-rfc4695-bis-08.txt

I've reviewed this draft as requested by the AVT chairs at IETF #78.  
The draft corrects a number of minor errors that were noticed in RFC  
4695, some years ago. The corrections were discussed in AVT at the  
time, appear to be sensible, and are all listed starting on page 180  
of the draft. The draft has been stable for over 3 years now. I  
consider it to be ready for publication.

-- 
Colin Perkins
http://csperkins.org/